%define fontname        mozilla-fira
%define fontconf        60-%{fontname}
%define archivename     fira
%define upstream_date   20130925

# Common description
%define common_desc \
Originally designed to integrate with the character of Firefox OS, Fira is a \
new set of sans-serif fonts which focuses on legibility.

Name:      %{fontname}-fonts
Version:   0.%{upstream_date}
Release:   1%{?dist}
Summary:   Fira Sans fonts
Group:     User Interface/X
License:   OFL
URL:       https://www.mozilla.org/en-US/styleguide/products/firefox-os/typeface/
Source0:   %{archivename}-%{upstream_date}.zip
Source1:   %{fontname}-mono.conf
Source2:   %{fontname}-sans.conf
Source3:   fira-LICENSE
# Upstream tarball is not versioned. See the "Downloads" section of %%{url}.
#Source2:   %%{fontname}-fontconfig.tar.gz
BuildArch: noarch
BuildRequires: fontpackages-devel

%description
%common_desc



%package common
Summary:  Common files for Mozilla's Fira font set
Group:    User Interface/X
Requires: fontpackages-filesystem
%description common
%common_desc
This package consists of files used by other %{name} packages.



%package -n %{fontname}-mono-fonts
Summary:   Monospaced version of Mozilla's Fira font
Group:     User Interface/X
Requires:  %{name}-common = %{version}-%{release}
%description -n %{fontname}-mono-fonts
%common_desc
This package contains the monospaced version of Mozilla's Fira font.

%_font_pkg -n mono -f %{fontconf}-mono.conf *Mono*.otf


%package -n %{fontname}-sans-fonts
Summary:   Sans-serif version of Mozilla's Fira font
Group:     User Interface/X
Requires:  %{name}-common = %{version}-%{release}
%description -n %{fontname}-sans-fonts
%common_desc
This package contains the sans-serif version of Mozilla's Fira font.

%_font_pkg -n sans -f %{fontconf}-sans.conf *Sans*.otf



%prep
%setup -q -c
cp %{SOURCE1} %{SOURCE2} .
cp %{SOURCE3} LICENSE

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p */*.otf  %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontname}-mono.conf \
  %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf
install -m 0644 -p %{fontname}-sans.conf \
  %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf

for fconf in %{fontconf}-mono.conf \
             %{fontconf}-sans.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fontconf
done


%files common
%doc LICENSE
%dir %{_fontdir}


%changelog
* Wed Sep 25 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.20130925-1
- Initial build.
